Bug 232434 - Review Request: FileZilla 3 - fast FTP and SFTP client with a lot of features
Review Request: FileZilla 3 - fast FTP and SFTP client with a lot of features
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On: 232445
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-15 10:59 EDT by Julius B.
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 21:15:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Julius B. 2007-03-15 10:59:14 EDT
Description: FileZilla is a fast and reliable FTP client with lots of useful features and an intuitive interface.

Among others, the features of FileZilla include the following:

    * Easy to use
    * Multilingual (English, German, French, Japanese, just to name a few)
    * Strong encryption support using SFTP over SSH and FTP over SSL/TLS
    * Supports transfer resuming and files larger than 4 GiB
    * Site Manager
    * Queue support
    * Proxy support
    * Speed limits
    * MODE Z transfer compressing
    * ... and more!

The new version, FileZilla 3 (still beta), is available for Linux also.
URL: http://sourceforge.net/project/showfiles.php?group_id=21558&package_id=206762
Comment 1 Nicolas Chauvet (kwizart) 2007-03-15 11:11:39 EDT
Will you plan to package it ?
Comment 2 Julius B. 2007-03-15 11:13:48 EDT
Sorry, but i have no idea of packaging. I am still a newbie to linux, and I'm a
student, so I don't have much time... :-(
Comment 3 Nicolas Chauvet (kwizart) 2007-03-15 11:27:55 EDT
well BR are quite hight:
BuildRequires:  gnutls-devel >= 1.5.4
BuildRequires:  wxGTK-devel >= 2.8.0

This mean it will build on fc7 unless package for fc6 are updated...
Comment 4 Julius B. 2007-03-15 11:34:26 EDT
It won't build on my machine running fc7 devel because gnutls-devel is still in
version 1.4.1.

wxGTK-devel is 2.8.0, so this should work
Comment 5 Nicolas Chauvet (kwizart) 2007-03-17 09:57:02 EDT
SRPMS:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla-3.0.0-0.1.beta6.kwizart.fc7.src.rpm
SPEC:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla.spec
Summary: FTP client and server with lots of useful features and an intuitive
interface

rpmlint is silent:
TODO:- desktop file
- fix locale dir upstream
- doc dir not avaible for now (still beta)
- gnutls need to be updated before review can start, see:
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=232445
(and wxGTK also if can be avaible for fc6 )

See txt file if you want to test. But be carrefull, these are not official
Fedora Extras packages (thought wxGTK-2.8.0 is just rebuild for fc6 from devel)
Comment 6 Nicolas Chauvet (kwizart) 2007-04-01 18:13:49 EDT
SRPMS:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla-3.0.0-0.1.beta7.kwizart.fc7.src.rpm
SPEC:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla.spec
Summary: FTP client and server with lots of useful features and an intuitive
interface

mock build are in the same directory 
Same TODO list apply from above...
Comment 7 Nicolas Chauvet (kwizart) 2007-05-26 07:26:30 EDT
SRPMS:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla-3.0.0-0.1.beta8.kwizart.fc7.src.rpm
SPEC:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla.spec
Summary: FTP client and server with lots of useful features and an intuitive
interface
Comment 8 Jason Tibbitts 2007-06-27 20:55:13 EDT
Looking at this ticket I have no idea what's going on here.  Nicolas, if you
want to submit this package yourself, you'll need to open your own review
ticket.  From reading the initial comment, this is something that should have
been added to the wishlist, not opened as a review ticket since there's no
actual package submission.
Comment 9 Nicolas Chauvet (kwizart) 2007-08-13 21:15:35 EDT
Closing this bug to start a new review request:
#252124

Note You need to log in before you can comment on or make changes to this bug.